#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

/* The application step may choose to check the return value of data stage in script
 * if possible, the environment variable LL_DSTG_IN_EXIT_CODE will contain the return
 * value of data stage step
 *
 */

int main(int argc, char* argv[])
{
	char* env;
	int rtn;

	env = getenv("LL_DSTG_IN_EXIT_CODE");
	rtn = atoi(env);
	if (rtn != 0) {
		/* the data stage in step exited abnormally */
		return -1;
	} else {
		/* implement the app step steps */
		sleep(60);
	}
	return 0;
}
